This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 515096 - setroubleshoot: SELinux is preventing rndc (ndc_t) "write" /dev/null (device_t).
setroubleshoot: SELinux is preventing rndc (ndc_t) "write" /dev/null (de...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:c6c3468f04c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-01 17:46 EDT by Nicolas Mailhot
Modified: 2010-12-05 01:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-08-01 17:46:17 EDT
The following was filed automatically by setroubleshoot:

Résumé:

SELinux is preventing rndc (ndc_t) "write" /dev/null (device_t).

Description détaillée:

SELinux denied access requested by the rndc command. It looks like this is
either a leaked descriptor or rndc output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /dev/null. You should generate a bugzilla on selinux-policy, and it will get
routed to the appropriate package. You can safely ignore this avc.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Informations complémentaires:

Contexte source               system_u:system_r:ndc_t:s0
Contexte cible                system_u:object_r:device_t:s0
Objets du contexte            /dev/null [ file ]
source                        rndc
Chemin de la source           /usr/sbin/rndc
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         bind-9.6.1-6.P1.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.26-2.fc12
Selinux activé               True
Type de politique             targeted
MLS activé                   True
Mode strict                   Enforcing
Nom du plugin                 leaks
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31-0.112.rc4.git3.fc12.x86_64
                              #1 SMP Thu Jul 30 15:29:28 EDT 2009 x86_64
Compteur d'alertes            2
Première alerte              sam. 01 août 2009 14:19:05 CEST
Dernière alerte              sam. 01 août 2009 14:19:05 CEST
ID local                      5d732088-91ad-4928-ba97-6b9753087616
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1249129145.319:2757): avc:  denied  { write } for  pid=21668 comm="rndc" path="/dev/null" dev=tmpfs ino=1346632 scontext=system_u:system_r:ndc_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1249129145.319:2757): avc:  denied  { write } for  pid=21668 comm="rndc" path="/dev/null" dev=tmpfs ino=1346632 scontext=system_u:system_r:ndc_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1249129145.319:2757): arch=c000003e syscall=59 success=yes exit=0 a0=d814a0 a1=d45b70 a2=d460e0 a3=7ffff732a170 items=0 ppid=21664 pid=21668 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="rndc" exe="/usr/sbin/rndc" subj=system_u:system_r:ndc_t:s0 key=(null)


audit2allow suggests:

#============= ndc_t ==============
allow ndc_t device_t:file write;
Comment 1 Daniel Walsh 2009-08-04 07:01:52 EDT
The problem here is you have a mislabeled /dev/null Also it is not a device but it is a file.  Something went very wrong on your boot.  /dev/null should be a device and labeled null_device_t

# ls -lZ /dev/null 
crw-rw-rw-. root root system_u:object_r:null_device_t:s0 /dev/null


So this is either a bug in udev, initscripts or in your setup.
Comment 2 Bug Zapper 2009-11-16 06:13:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 06:37:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:39:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.